function [ result,prediction ] = forecasting( Dv, gamma, alpha, real )
    [m,K]=size(Dv);
    phi = zeros(m,K);  
    for i=1:m
        temp = find( Dv(i,:) < gamma );
        phi(i,temp) = exp( -Dv(i,temp) );
    end
    prediction = phi * alpha;
    result(1) = sum( ( prediction - real ).^2 ) / m;
    result(2) = length( find( prediction.*real >0 ) ) / length(real);
    temp1 = find(real>0);
    result(3) = length( find( prediction(temp1)>0 ) )/length(temp1); 
    temp2 = find(real<0);
    result(4) = length( find( prediction(temp2)<0 ) )/length(temp2);
    result(5) = length(temp1)/length(temp2);
end